## Bsoft program

# bpoly

### Usage: bpoly [options] in1.star [in2.star...]

Manipulate model polyhedral coordinate files.

### Actions:

-center | Center before all other operations.
-rename | Rename components based on the number of links.
-vertextypes 1 | Determine vertex types from adjacent polygons (1=3-digit, 2=6-digit).
-views local | Calculate views for components. Modes: origin: current origin,
| com: center-of-mass origin, map: map origin, local: neigbor plane.
-analyze | Analyze the polyhedrons.
-angles | Analyze the angles in polyhedrons.
-energy 112.4 | Calculate the energy components of models using the given reference angle.
| If the angle is 0, the inner polygon angle will be used as reference.
-pentagon | Calculate the pentagon adjacency.
-sphericity | Estimate the spherical nature of the polyhedron.
-ellipsoidicity | Estimate the ellipsoid nature of the polyhedron.
-wiener | Calculate the Wiener index for each polyhedron.
-eigen | Do an eigenanalysis for each polyhedron.
-coordinates | Generate new coordinates based on spherical harmonics.
-dual | Calculate the dual of a polyhedron.
-faces 5 | Generate a dual using only the faces of the given order.
-find 34.7 | Find symmetry axes with an RMSD below the given value.
-regularize 150 | Number of iterations for regularizing a polyhedron.

### Selections:

-all | Reset selection to all components before other selections.
-closed order,3 | Select based on valency (valency,) or polygon order (order,).
-select #232@14 | Select models and components.

### Parameters:

-verbose 7 | Verbosity of output.
-componentradius 0.5 | Component display radius.
-linkradius 0.5 | Link display radius.
| Regularization parameters:
-distance 212 | Interaction reference distance.
-linklength 150 | Vertex link reference length.
-Kdistance 0.1 | Distance force constant (default 0).
-Klink 0.01 | Link force constant (default 0.1).
-Kpolyangle 0.1 | Angle force constant (default 0.01).
-Kpolygon 0.001 | Polygon regularity force constant (default 0).
-Kpolyplane 0.1 | Polygon planarity force constant (default 0).
-Kpoint 0.1,0.02 | Point force constant and decay (default 0,0.01).

### Input:

-parameters parm.star | Molecular parameter file (default atom_prop.star).

### Output:

-output file.star | Output model parameter file.

Bsoft version 2.0.3-20180917 (64 bit)